export declare type LilconfigResult = null | {
    path: string;
    config: any;
    isEmpty?: boolean;
    error?: any;
};
declare type Options = {
    stopDir: string;
    searchPlaces: string[];
    transform: (result: LilconfigResult) => LilconfigResult;
    ignoreEmptySearchPlaces: boolean;
};
export declare function lilconfig(name: string, options?: Partial<Options>): {
    search(searchFrom?: string): Promise<LilconfigResult>;
    load(filePath: string): Promise<LilconfigResult>;
};
export declare function lilconfigSync(name: string, options?: Partial<Options>): {
    search(searchFrom?: string): LilconfigResult;
    load(filePath: string): LilconfigResult;
};
export {};
